Page MenuHomePhabricator

[OpenMP][NFCI] Use the libFrontend ProcBindKind in Clang
ClosedPublic

Authored by jdoerfert on Nov 14 2019, 10:32 PM.

Details

Summary

This removes the OpenMPProcBindClauseKind enum in favor of
llvm::omp::ProcBindKind which lives in OpenMPConstants.h and was
introduced in D70109.

No change in behavior is expected.

Diff Detail

Event Timeline

jdoerfert created this revision.Nov 14 2019, 10:32 PM
JonChesterfield accepted this revision.Dec 13 2019, 9:57 AM

Nice cleanup, thanks

This revision is now accepted and ready to land.Dec 13 2019, 9:57 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptDec 26 2019, 9:10 AM
Herald added a subscriber: hiraditya. · View Herald Transcript